Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDENCOUNTERSAFETYISSUEvalues

    java.lang.Object
      java.lang.Enum<CDENCOUNTERSAFETYISSUEvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDENCOUNTERSAFETYISSUEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDENCOUNTERSAFETYISSUEvalues>

    public enum CDENCOUNTERSAFETYISSUEvalues

extends Enum<CDENCOUNTERSAFETYISSUEvalues>

Java class for CD-ENCOUNTERSAFETYISSUEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ENCOUNTERSAFETYISSUEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="verbal"/>
         <enumeration value="fysical"/>
         <enumeration value="material"/>
         <enumeration value="notificationtopolice"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`FYSICAL`
`MATERIAL`
`NOTIFICATIONTOPOLICE`
`VERBAL`

Method Summary
`static CDENCOUNTERSAFETYISSUEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDENCOUNTERSAFETYISSUEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDENCOUNTERSAFETYISSUEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VERBAL

    public static final CDENCOUNTERSAFETYISSUEvalues VERBAL

### FYSICAL

    public static final CDENCOUNTERSAFETYISSUEvalues FYSICAL

### MATERIAL

    public static final CDENCOUNTERSAFETYISSUEvalues MATERIAL

### NOTIFICATIONTOPOLICE

    public static final CDENCOUNTERSAFETYISSUEvalues NOTIFICATIONTOPOLICE

Method Detail

### values

    public static CDENCOUNTERSAFETYISSUEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDENCOUNTERSAFETYISSUEvalues c : CDENCOUNTERSAFETYISSUEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDENCOUNTERSAFETYISSUEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDENCOUNTERSAFETYISSUEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.